﻿using System;
using CommandLine;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Tidstagning
{
    class Program
    {

        public class Options
        {
            [Option('c', "config", Required = false, HelpText = "Enable configuration menu.")]
            public bool Verbose { get; set; }
        }
        [STAThread]
        static void Main(string[] args)
        {
            Parser.Default.ParseArguments<Options>(args)
               .WithParsed<Options>(o =>
               {
                   Application.EnableVisualStyles();
                   Application.SetCompatibleTextRenderingDefault(false);
                   Application.Run(new MainUI(o.Verbose));
               });



        }

    }
}
